package com.cn.fdapfe.biz.service;

import java.util.List;
import java.util.Map;

import com.cn.fdapfe.biz.domain.FaultPhysicalModel;

/**
 * 故障物理模型管理Service接口
 * 
 * @author Allen
 * @date 2025-03-07
 */
public interface IFaultPhysicalModelService 
{
    /**
     * 查询故障物理模型管理
     * 
     * @param id 故障物理模型管理主键
     * @return 故障物理模型管理
     */
     FaultPhysicalModel selectFaultPhysicalModelById(String id);

    /**
     * 查询故障物理模型管理列表
     * 
     * @param faultPhysicalModel 故障物理模型管理
     * @return 故障物理模型管理集合
     */
     List<FaultPhysicalModel> selectFaultPhysicalModelList(FaultPhysicalModel faultPhysicalModel);

    /**
     * 新增故障物理模型管理
     * 
     * @param faultPhysicalModel 故障物理模型管理
     * @return 结果
     */
     int insertFaultPhysicalModel(FaultPhysicalModel faultPhysicalModel);

    /**
     * 修改故障物理模型管理
     * 
     * @param faultPhysicalModel 故障物理模型管理
     * @return 结果
     */
     int updateFaultPhysicalModel(FaultPhysicalModel faultPhysicalModel);

    /**
     * 批量删除故障物理模型管理
     * 
     * @param ids 需要删除的故障物理模型管理主键集合
     * @return 结果
     */
    void deleteFaultPhysicalModelByIds(String[] ids);


    List<Map<String,Object>> getOptions(String typs);
}
